Bug 213306 - ricci - log probing can take minutes to complete
Summary: ricci - log probing can take minutes to complete
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-31 18:47 UTC by Stanko Kupcevic
Modified: 2009-04-16 22:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 16:41:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stanko Kupcevic 2006-10-31 18:47:27 UTC
Log module needs to be optimized (optimization was intentionaly left to be done
when time permits). 

Currently, log module goes thru all log files, line by line, and picks the lines
that match request. 
Every request contains time variable; parts of log files to be processed can be
greatly reduced by the fact that logs are already sorted by time.

Comment 1 Ryan McCabe 2006-11-08 21:17:34 UTC
i committed one optimization for this: ignoring logs with an mtime too old to be
a candidate for matching messages given the max age. there's still a lot of room
for improvement, though. strftime is insanely slow, given what it does, and it
can still bail once it hits one message in a log that's too old, etc.

Comment 2 Ryan McCabe 2006-11-13 21:47:09 UTC
marking as modified. ignoring logs that are too old to contain matches reduces
the time it takes to retrieve logs on camel.lab.msp from over 10 minutes to
under 30 seconds.

Comment 3 Len DiMaggio 2007-01-23 16:50:08 UTC
Bug fix verified with:
luci-0.8-29.el5
ricci-0.8-29.el5



Note You need to log in before you can comment on or make changes to this bug.